/**********************************
 * Assignment 5: Pacman
 * Date: 5/5/2006
 *
 * Jenna Holloway: jh382, 563324
 * Benji Shultz: bas67, 1786511
 **********************************/
package game.player;

import game.Constants;
import game.Game;
import game.actor.Pacman;
import game.actor.Poo;

import java.util.ArrayList;
import java.util.List;

/**
 * This class represents the sentient being which organizes the fecal byproducts
 * of our hero. It's unecessary, but convenient.
 */
public class Pooper extends Player implements Constants {

	private List<Poo> poos = new ArrayList<Poo>();
	
   
	public Pooper(Game game) {
		super(game);
	}
	
	public void clearPoos(){
		poos=new ArrayList<Poo>();
	}
	public List<Poo> getActorList() {
		return poos;
	}
	
	public Poo pacmanPoo(Pacman p){
		Poo poop=new Poo(p.getCurrentPosition());
		poos.add(poop);
		return poop;
	}
	
	public Poo eatPoo(Poo poo){
		poos.remove(poo);
		return poo;
	}
	
	//thought about making autonomous poos, but this was silly enough.
	public void move(double dt) {
	/*for (Poo poop : poos) {
				poop.move(dt);
			}
		;*/
		;}
	}


